<template>
  <i
    v-if="isCurrentStateNoBids"
    class="icon triangle"
  />
</template>

<script>
export default {
  name: 'notification',
  props: {
    item: {
      type: Object,
      default: () => {},
    },
  },
  computed: {
    isCurrentStateNoBids() {
      return this.item.auctionCurrentInfo.currentState === 'NO_BIDS'
    },
  },
}
</script>

<style lang="scss" scoped>
.icon {
  font-size: 23px;
}

.triangle {
  position: absolute;
  left: 0;
  top: 0;
  border-style: solid;
  border-width: 16px 16px 0 0;
  border-color: $Green-700 transparent transparent transparent;
}
</style>
